/* xpyre.h
 * Common header file
 *
 * Copyright (C) 2002 Andy Goth <unununium@openverse.com>
 * For more information visit http://ioioio.net/devel/xpyre/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

#ifndef SEEN_XPYRE_H
#define SEEN_XPYRE_H

#include <allegro.h>
#include <glib.h>

/* Information about a track in the playlist */
typedef struct track_t {
	int num;	/* Number position in playlist */
	char* title;	/* Title of track */
} track_t;

/* Screen settings and bitmaps */
typedef struct config_t {
	int width;	/* Width of screen */
	int height;	/* Height of screen */
	int fullscreen;	/* Fullscreen flag */
	int fps;	/* Maximum fps */
	BITMAP* bmp[2];	/* Double buffers */
} config_t;

/* xmms.c */
extern gint16 pcm_data[512];
extern void quit(void);
extern void previous_track(void);
extern void play_track(void);
extern void pause_track(void);
extern void stop_track(void);
extern void next_track(void);
extern void load_config(config_t*);
extern int update_track(track_t*);

/* xpyre.c */
extern void* main_loop(void* arg);

#endif
